> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/marketplaces/products/update-store-product.md).

# Update store product

Update the details of an existing product in your marketplace store.

```
PATCH /v1/external/marketplace/{store_id}/products/{product_id}
```

{% hint style="info" %}
Note: This is a partial update — only the fields provided in the request body will be modified. Fields not included will remain unchanged.
{% endhint %}

## Path Parameters

| Parameter    | Type   | Required | Description                      |
| ------------ | ------ | -------- | -------------------------------- |
| `store_id`   | string | Yes      | Your unique marketplace store ID |
| `product_id` | string | Yes      | The ID of the product to update  |

## Request Body

| Parameter  | Type    | Required | Description                                              |
| ---------- | ------- | -------- | -------------------------------------------------------- |
| `name`     | string  | No       | Updated product name                                     |
| `image_1`  | string  | No       | Updated URL of the primary product image                 |
| `price`    | number  | No       | Updated product price in the store's configured currency |
| `in_stock` | boolean | No       | Set to `false` or `true`                                 |

## Variation Object (if you also want to update variants of the product)

| Name           | Type    | Required | Description                             |
| -------------- | ------- | -------- | --------------------------------------- |
| `variation_id` | string  | Yes      | Varaition id of the varaint             |
| `price`        | number  | No       | Price of the varaint                    |
| `is_active`    | boolean | No       | If varaint is currently active for sale |
| `image`        | string  | No       | Image of the varaint                    |

## Response

```json
{
    "status": "success",
    "message": "Product updated successfully",
    "data": {
        "product_id": "a4714f92f8db",
        "name": "Classic Tees Updated",
        "description": "A comfortable everyday t-shirt",
        "type": "single",
        "sku": "GEN-CLAS-DF5D4",
        "currency": "NGN",
        "images": [
            "https://updatedtesse.com/tees.jpg"
        ],
        "category": "Tees",
        "total_stock": 0,
        "is_active": true,
        "captured": "2026-03-12T13:37:24.000Z",
        "price": 12000,
        "dimensions": {
            "length_cm": 30,
            "width_cm": 20,
            "height_cm": 5
        }
    }
}
```
